NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.ConformalCoolingBuilder Class Reference

Builder for Conformal Cooling Design in NX More...

Inheritance diagram for NXOpen.Tooling.ConformalCoolingBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DisplayEntityType { Facet, BoundaryCube, OffsetLayerCube, InnerCube }
 the entity type to be displayed More...
 
enum  DisplayModeType { Wireframe, Colorfill, Both }
 the display mode type for displaying facets More...
 
enum  DisplayResolutionOption {
  Standard, Fine, ExtraFine, SuperFine,
  UltraFine
}
 The options for the display resolution of facets More...
 

Public Member Functions

unsafe void CreateOffsetConvergentBody ()
 Action for creating an offset convergent body from a solid body More...
 
unsafe bool GetInApplyStatus ()
 Get the flag that indicates the Apply status of the command, needed only in the interactive environment More...
 
unsafe void InitConformalCoolingFacetsData (bool changingBody)
 Initialize the Conformal Cooling Design facets data for the new input body More...
 
unsafe void SetInApplyStatus (bool inApplyStatus)
 Set the flag that indicates the Apply status of the command, needed only in the interactive environment More...
 
unsafe void UpdateFacetsDisplay ()
 Update the display of facets More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector ConformalCoolingBody [get]
 Returns the body for conformal cooling design More...
 
unsafe
NXOpen.Tooling.ConformalCoolingBuilder.DisplayResolutionOption 
DisplayResolution [get, set]
 Returns or sets the display resolution in creating facets More...
 
unsafe double OffsetDistance [get, set]
 Returns or sets the offset distance from the boundary faces of solid More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Builder for Conformal Cooling Design in NX

To create a new instance of this class, use NXOpen.Tooling.ConformalCoolingManager.CreateBuilder

Default values.

Property Value

AllFaces

1

DisplayEntity

Facet

DisplayMode

Wireframe

DisplayResolution

Standard

DisplayTranslucency

0

OffsetDistance

1.0

SaveConvergentBody

0

Created in NX1899.0.0

Member Enumeration Documentation

the entity type to be displayed

Enumerator
Facet 

Facet

BoundaryCube 

Boundary Cube

OffsetLayerCube 

Offset Layer Cube

InnerCube 

Inner Cube

the display mode type for displaying facets

Enumerator
Wireframe 

Wireframe display mode

Colorfill 

Color fill display mode

Both 

Both Wireframe and color fill display mode

The options for the display resolution of facets

Enumerator
Standard 

Standard display resolution

Fine 

Fine display resolution

ExtraFine 

Extra fine display resolution

SuperFine 

Super fine display resolution

UltraFine 

Ultra fine display resolution

Member Function Documentation

unsafe void NXOpen.Tooling.ConformalCoolingBuilder.CreateOffsetConvergentBody ( )
inline

Action for creating an offset convergent body from a solid body

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe bool NXOpen.Tooling.ConformalCoolingBuilder.GetInApplyStatus ( )
inline

Get the flag that indicates the Apply status of the command, needed only in the interactive environment

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Returns
unsafe void NXOpen.Tooling.ConformalCoolingBuilder.InitConformalCoolingFacetsData ( bool  changingBody)
inline

Initialize the Conformal Cooling Design facets data for the new input body

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
changingBody
unsafe void NXOpen.Tooling.ConformalCoolingBuilder.SetInApplyStatus ( bool  inApplyStatus)
inline

Set the flag that indicates the Apply status of the command, needed only in the interactive environment

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Parameters
inApplyStatus
unsafe void NXOpen.Tooling.ConformalCoolingBuilder.UpdateFacetsDisplay ( )
inline

Update the display of facets

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Tooling.ConformalCoolingBuilder.ConformalCoolingBody
get

Returns the body for conformal cooling design

Created in NX1899.0.0

License requirements: ug_mold_design ("UG MOLD")

unsafe NXOpen.Tooling.ConformalCoolingBuilder.DisplayResolutionOption NXOpen.Tooling.ConformalCoolingBuilder.DisplayResolution
getset

Returns or sets the display resolution in creating facets

Created in NX1899.0.0

License requirements to get this property: ug_mold_design ("UG MOLD")

License requirements to set this property: ug_mold_design ("UG MOLD")

unsafe double NXOpen.Tooling.ConformalCoolingBuilder.OffsetDistance
getset

Returns or sets the offset distance from the boundary faces of solid

Created in NX1899.0.0

License requirements to get this property: ug_mold_design ("UG MOLD")

License requirements to set this property: ug_mold_design ("UG MOLD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.